Updates the job work instruction list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "5c467605-5e65-4c39-950f-0b2ddd8d01e8",
"jobs_id": "fa270d48-7203-44d7-aea6-88f1ff5149cf",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "5435adad-b8a9-4bbe-9d94-6d4977655f24",
"_parent_id": "e671a850-4ed3-4a92-945b-2fe426a3a800",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "64cac38d-37c8-4063-a339-49f75a96aaa2",
"project_reference_back_office": "sample string 5",
"project": {
"id": "f1482e32-cdbd-4ac5-9a85-769a2ea5fbde",
"_parent_id": "c215c574-92b4-4149-8ef4-999a645d921c",
"root_parent_id": "c7d2932e-e1b8-4dee-ba65-fbb990e412a6",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "93230614-056f-466d-9d67-f0b3593c648d",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "cc64e03c-e18f-4c35-b287-faf5e8a5cd5c",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "2e61a6d3-efff-4d82-8d8e-c15ca335c67a",
"_parent_code": "sample string 6",
"sales_organization_id": "e90bcfd0-9582-46f1-9609-1664e80a14bb",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "bb4564d0-ef3c-4ff7-824a-c5330c1daf01",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "cad968e6-0bd3-45db-8e2a-551199f9a5c2",
"db_currency_id": "e609ace1-0011-44c2-bf6c-5b9a25124de3",
"db_language_id": "51a6f8fa-e8ac-47c0-8fa0-c837e1071a86",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T14:57:53.4309366+00:00"
},
"modified_dateutc": "2026-10-30T14:57:53.4309366+00:00"
},
"equipment_model_id": "41f514cf-b8fb-4b17-afcb-c4a511c03d78",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "6fa0d009-ee82-46e4-be13-8ef4f4dfee56",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "eeac0268-ce00-45b4-8c3b-2299f24831ad",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "421c1462-55f9-4c36-a20b-f6450e450d2b",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "310f05c6-a38c-4b34-b2b2-438a2e129c9a",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "bb4564d0-ef3c-4ff7-824a-c5330c1daf01",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "cad968e6-0bd3-45db-8e2a-551199f9a5c2",
"db_currency_id": "e609ace1-0011-44c2-bf6c-5b9a25124de3",
"db_language_id": "51a6f8fa-e8ac-47c0-8fa0-c837e1071a86",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T14:57:53.4309366+00:00"
},
"modified_dateutc": "2026-10-30T14:57:53.4309366+00:00"
},
"equipment_family_id": "f932ddbc-f04f-47c7-9b8b-5c9fdb9d1634",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "cc64e03c-e18f-4c35-b287-faf5e8a5cd5c",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "2e61a6d3-efff-4d82-8d8e-c15ca335c67a",
"_parent_code": "sample string 6",
"sales_organization_id": "e90bcfd0-9582-46f1-9609-1664e80a14bb",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "bb4564d0-ef3c-4ff7-824a-c5330c1daf01",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "cad968e6-0bd3-45db-8e2a-551199f9a5c2",
"db_currency_id": "e609ace1-0011-44c2-bf6c-5b9a25124de3",
"db_language_id": "51a6f8fa-e8ac-47c0-8fa0-c837e1071a86",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T14:57:53.4309366+00:00"
},
"modified_dateutc": "2026-10-30T14:57:53.4309366+00:00"
},
"date_in_production_since": "2026-10-30T14:57:53.4309366+00:00",
"date_out_of_production_since": "2026-10-30T14:57:53.4309366+00:00",
"date_end_support": "2026-10-30T14:57:53.4309366+00:00",
"sales_organization_id": "507e643e-6a42-4cce-bf63-075edd97161d",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "bb4564d0-ef3c-4ff7-824a-c5330c1daf01",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "cad968e6-0bd3-45db-8e2a-551199f9a5c2",
"db_currency_id": "e609ace1-0011-44c2-bf6c-5b9a25124de3",
"db_language_id": "51a6f8fa-e8ac-47c0-8fa0-c837e1071a86",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T14:57:53.4309366+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-30T14:57:53.4309366+00:00"
},
"project_status_id": "f2a22153-8aae-4e32-ac73-6c9f7b6a4a79",
"project_status_code": "sample string 10",
"project_status": {
"id": "ac4668b0-941b-4359-82f6-cd957fea9217",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "29d5edd9-2813-471f-82c6-b0a6688e08a6",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "bb4564d0-ef3c-4ff7-824a-c5330c1daf01",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "cad968e6-0bd3-45db-8e2a-551199f9a5c2",
"db_currency_id": "e609ace1-0011-44c2-bf6c-5b9a25124de3",
"db_language_id": "51a6f8fa-e8ac-47c0-8fa0-c837e1071a86",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T14:57:53.4309366+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-30T14:57:53.4309366+00:00"
},
"company_id": "39399e6d-ab87-45c3-b86b-0196ab1976b6",
"company_code": "sample string 12",
"db_address_id": "f81c580a-c8a5-4866-900a-f2353638ee95",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "7fcb77d1-7d3b-4192-8054-987ab4848532",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "7f004016-b92c-4d20-8e2d-6154dc21e417",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-10-30T14:57:53.4447786+00:00",
"date_create": "2026-10-30T14:57:53.4447786+00:00",
"date_update": "2026-10-30T14:57:53.4447786+00:00",
"updated_by_user_id": "a2379b57-92fa-4842-886f-2e6468fad7cc",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-10-30T14:57:53.4447786+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-10-30T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-10-30T14:57:53.4447786+00:00",
"date_last_job": "2026-10-30T14:57:53.4447786+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-10-30T14:57:53.4447786+00:00",
"modified_dateutc": "2026-10-30T14:57:53.4447786+00:00",
"is_mobile_installation": true
},
"job_type_id": "e0402929-7917-486c-bfee-a8962c560a7b",
"job_type_code": "sample string 7",
"job_type": {
"id": "2c6e08ca-dab7-47e4-8cce-27547c409c56",
"name": "sample string 2",
"sales_organization_id": "791a40ac-5112-4c55-ab72-79f2f40b5b74",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-30T14:57:53.4447786+00:00",
"code": "sample string 7"
},
"job_priority_id": "c14af618-c04f-4404-9738-af03c1b39fd6",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "2a9db1e6-93d0-4cc1-91d1-e94cb62cba8f",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "17ad7b94-e844-4ede-8803-87f3fad11d8a",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "bb4564d0-ef3c-4ff7-824a-c5330c1daf01",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "cad968e6-0bd3-45db-8e2a-551199f9a5c2",
"db_currency_id": "e609ace1-0011-44c2-bf6c-5b9a25124de3",
"db_language_id": "51a6f8fa-e8ac-47c0-8fa0-c837e1071a86",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T14:57:53.4309366+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-30T14:57:53.4447786+00:00"
},
"job_status_id": "75a73242-d563-446b-be90-7cace8c3646f",
"job_status_code": "sample string 11",
"db_address_id": "0294a0fa-995d-4441-a1ce-dcfa823224e5",
"contact_id": "43a8502e-a595-4e16-8f6c-684b41357437",
"requested_by_company_id": "6a9e48a5-10e9-4a45-be9a-bcb1d367ce47",
"requested_by_contact_id": "8ae6fdd1-52c7-409c-8a5a-f4303dcbe6cf",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-10-30T14:57:53.4447786+00:00",
"due_date": "2026-10-30T14:57:53.4447786+00:00",
"date_create": "2026-10-30T14:57:53.4447786+00:00",
"date_update": "2026-10-30T14:57:53.4447786+00:00",
"date_closed": "2026-10-30T14:57:53.4447786+00:00",
"suggested_user_id": "69090d11-86d1-4d55-8e46-36343ad09f76",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "773cbbff-4679-43c4-8b62-287d902feb6e",
"db_language_id": "701ff9d5-ef42-4135-8fb6-5f1b6057f72c",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-30T14:57:53.4447786+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "485b3713-8a42-4566-89f1-de0257818495",
"sales_organization": {
"id": "bb4564d0-ef3c-4ff7-824a-c5330c1daf01",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "cad968e6-0bd3-45db-8e2a-551199f9a5c2",
"db_currency_id": "e609ace1-0011-44c2-bf6c-5b9a25124de3",
"db_language_id": "51a6f8fa-e8ac-47c0-8fa0-c837e1071a86",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T14:57:53.4309366+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "7feb4399-00bb-46c7-9676-e9ae78f45c44",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "c716acc8-3911-44aa-bc85-beebcf2c1ce3",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-30T14:57:53.4447786+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "c2ae3a43-6b59-46c4-b9ab-607db67335ed"
},
"suggested_date_start": "2026-10-30T14:57:53.4447786+00:00",
"skill_id": "6606721d-23eb-494a-8f43-914fe0ab7004",
"skill_code": "sample string 32",
"skill": {
"id": "d32e7f58-bc69-42f6-884d-83a7907b43c1",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "ef29df19-a750-46de-8e84-115563dbdd8b",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "bb4564d0-ef3c-4ff7-824a-c5330c1daf01",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "cad968e6-0bd3-45db-8e2a-551199f9a5c2",
"db_currency_id": "e609ace1-0011-44c2-bf6c-5b9a25124de3",
"db_language_id": "51a6f8fa-e8ac-47c0-8fa0-c837e1071a86",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-30T14:57:53.4309366+00:00"
},
"modified_dateutc": "2026-10-30T14:57:53.4608215+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "ad8fd3e5-2cbb-473e-84f8-46e7ba6016d8",
"date_reported_by_company": "2026-10-30T14:57:53.4608215+00:00",
"id2": 36,
"company_id": "456a4589-e15e-4a1e-908c-366dc104e34e",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "81392b32-1b06-49d2-be94-ca0de9a802b0",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-10-30T14:57:53.4608215+00:00"
},
"work_instruction_details_id": "92dce8df-19fd-400a-bf06-0bc9eb061aae",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "1a5b24ef-319c-4ed0-b9b1-79aa57a76231",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "2684c91c-ae15-4390-8681-391689cd4a37",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-10-30T14:57:53.4608215+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "2835d3d4-df5a-45c7-9d14-9679d299d547",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-10-30T14:57:53.4608215+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.